# -*- coding: utf-8 -*-
# type: ignore
from __future__ import annotations

from keep_it_secret import LiteralField, SecretsField

from hotpocket_backend.secrets.webapp import WebAppSecrets

# isort: off
from .common import (
    MetalCelerySecrets,
    MetalDatabaseSecrets,
    MetalOIDCSecrets,
)
# isort: on


class MetalWebAppSecrets(WebAppSecrets):
    SECRET_KEY: str = LiteralField.new('thisisntright')

    DATABASE: MetalDatabaseSecrets = SecretsField.new(MetalDatabaseSecrets)
    CELERY: MetalCelerySecrets = SecretsField.new(MetalCelerySecrets)

    OIDC: MetalOIDCSecrets = SecretsField.new(MetalOIDCSecrets)


__secrets__ = MetalWebAppSecrets()
